## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           digdoc
Version:        0.0.2
Release:        %autorelease
Summary:        A DNS-over-CoAP client

License:        MIT
URL:            https://github.com/dig-doc/digdoc
Source:         %{url}/archive/v%{version}/digdoc-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  libcoap-devel
BuildRequires:  ldns-devel
# Documentation dependencies
BuildRequires:  help2man

%description
digdoc is a lightweight command-line tool written in C that acts as a
DNS-over-CoAP (DoC) client. Since most common DNS servers do not natively
support CoAP, digdoc currently uses the aiodns-proxy project to translate
CoAP packets into standard UDP-based DNS queries.

%prep
%autosetup -n digdoc-%{version} -p1


%build
%cmake
%cmake_build
# Build documentation
help2man --version-string='%{version}' --no-discard-stderr  --no-info --name='%{summary}' --output=digdoc.1 %{_builddir}/digdoc-%{version}/%{__cmake_builddir}/digdoc

%install
%cmake_install
mkdir -p %{buildroot}/%{_mandir}/man1
install digdoc.1 %{buildroot}/%{_mandir}/man1/digdoc.1

%check
# Tests need internet access
# https://github.com/dig-doc/digdoc/issues/4

%files
%license LICENSE
%doc README.md
%{_bindir}/digdoc
%{_mandir}/man1/digdoc.1*

%changelog
## START: Generated by rpmautospec
* Thu Apr 10 2025 Benson Muite <fed500@fedoraproject.org> - 0.0.2-1
- Initial import bz#2352694
## END: Generated by rpmautospec
